Profiles
Profile List
Query and search profiles.
GET
/profilesQuery and search profiles.
storyden-session<token>
In: cookie
Query Parameters
q?string
Search query string.
page?string
Pagination query parameters.
sort?string
Profiles sort by query
roles?array<>
Profiles role filter query
joined?string
Profiles join range query
invited_by?array<>
Profiles invited by query (account handles)
Response Body
application/json
application/json
curl -X GET "https://example.com/profiles"{
"page_size": 0,
"results": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 0,
"profiles": [
{
"id": "cc5lnd2s1s4652adtu50",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"createdAt": "string",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"roles": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"colour": "string",
"permissions": [
"CREATE_POST"
],
"meta": {},
"badge": true,
"default": true
}
],
"bio": "<body><p>hi, my name is</p><p>southclaws</p></body>",
"signature": "<body><p>Sent with love from London!</p></body>",
"image": "string",
"followers": 0,
"following": 0,
"like_score": 0,
"interests": [
{
"name": "string",
"colour": "string",
"item_count": 0
}
],
"links": [
{
"text": "string",
"url": "string"
}
],
"invited_by": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"meta": {}
}
]
}Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}